Bug 220958 - [Cocoa] Add WKWebView session restoration API
Summary: [Cocoa] Add WKWebView session restoration API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-01-25 16:55 PST by Chris Dumez
Modified: 2021-02-22 15:19 PST (History)
5 users (show)

See Also:


Attachments
WIP Patch (14.12 KB, patch)
2021-01-26 09:06 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (20.28 KB, patch)
2021-01-26 10:21 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (20.56 KB, patch)
2021-01-26 10:27 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (7.37 KB, patch)
2021-01-26 14:12 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (7.48 KB, patch)
2021-01-26 16:22 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (10.30 KB, patch)
2021-01-26 16:28 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (11.21 KB, patch)
2021-01-28 10:32 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (11.10 KB, patch)
2021-02-22 09:50 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (11.04 KB, patch)
2021-02-22 12:35 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2021-01-25 16:55:57 PST
Add WKWebView session restoration API.
Comment 1 Chris Dumez 2021-01-25 16:56:24 PST
<rdar://70956146>
Comment 2 Chris Dumez 2021-01-26 09:06:35 PST
Created attachment 418427 [details]
WIP Patch
Comment 3 Chris Dumez 2021-01-26 10:21:35 PST
Created attachment 418441 [details]
Patch
Comment 4 Chris Dumez 2021-01-26 10:27:55 PST
Created attachment 418444 [details]
Patch
Comment 5 Chris Dumez 2021-01-26 14:12:55 PST
Created attachment 418476 [details]
Patch
Comment 6 Chris Dumez 2021-01-26 16:22:05 PST
Created attachment 418484 [details]
Patch
Comment 7 Chris Dumez 2021-01-26 16:28:56 PST
Created attachment 418485 [details]
Patch
Comment 8 Chris Dumez 2021-01-27 07:43:56 PST
Trying to figure out the iOS build issue..
Comment 9 Chris Dumez 2021-01-28 10:32:07 PST
Created attachment 418655 [details]
Patch
Comment 10 Chris Dumez 2021-02-22 09:50:37 PST
Created attachment 421205 [details]
Patch
Comment 11 Chris Dumez 2021-02-22 12:35:31 PST
Created attachment 421227 [details]
Patch
Comment 12 Geoffrey Garen 2021-02-22 13:14:19 PST
Comment on attachment 421227 [details]
Patch

r=me
Comment 13 Alex Christensen 2021-02-22 13:19:19 PST
Comment on attachment 421227 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=421227&action=review

> Source/WebKit/UIProcess/API/Cocoa/WKWebView.h:480
> +@property (nonatomic, nullable, copy) id interactionState WK_API_AVAILABLE(macos(WK_MAC_TBA), ios(WK_IOS_TBA));

Did we consciously decide to remove <NSSecureCoding> ?
Comment 14 Chris Dumez 2021-02-22 13:30:14 PST
(In reply to Alex Christensen from comment #13)
> Comment on attachment 421227 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=421227&action=review
> 
> > Source/WebKit/UIProcess/API/Cocoa/WKWebView.h:480
> > +@property (nonatomic, nullable, copy) id interactionState WK_API_AVAILABLE(macos(WK_MAC_TBA), ios(WK_IOS_TBA));
> 
> Did we consciously decide to remove <NSSecureCoding> ?

Yes. Following up on Slack.
Comment 15 EWS 2021-02-22 15:19:28 PST
Committed r273283: <https://commits.webkit.org/r273283>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 421227 [details].